# frozen_string_literal: true

require 'abide-data-processor/parser'

module AbideDataProcessor
  module Processor
    def self.create_resources(resources_hash, control_maps, only, ignore, control_configs)
      unfrozen_resources = Marshal.load(Marshal.dump(resources_hash))
      AbideDataProcessor::Parser.parse(unfrozen_resources, control_maps, only: only, ignore: ignore, control_configs: control_configs)
    end
  end
end
